TE32KDemo  ShellForce
ShellForce 
	SET PPCCFLAGS "-appleext on -opt speed -o"
	SET CFLAGS "-opt full -opt speed"

OBJECTS = 
		'main.c.o' 
		'myabout.c.o' 
		'TE32K.c.o' 
		'windows.c.o'
		
PPCOBJECTS = 
		'main.c.o.ppc' 
		'myabout.c.o.ppc' 
		'TE32K.c.o.ppc' 
		'windows.c.o.ppc'

TE32KDemo  TE32KDemo.make 'TE32K Demo..Rsrc'
	Duplicate -r -y 'TE32K Demo..Rsrc' {Targ}

TE32KDemo  TE32KDemo.make {PPCOBJECTS}		
	PPCLink -o "{Targ}".ppc.xcoff 
		{PPCOBJECTS} 
		"{PPCLibraries}"InterfaceLib.xcoff 
		"{PPCLibraries}"MathLib.xcoff 
		"{PPCLibraries}"PPCCRuntime.o 
		"{PPCLibraries}"StdCLib.xcoff 
		"{PPCLibraries}"StdCRuntime.o
	MakePEF "{Targ}".ppc.xcoff -o {Targ} 
		-l InterfaceLib.xcoff=InterfaceLib 
		-l StdCLib.xcoff=StdCLib 
		-l MathLib.xcoff=MathLib 
		-ft 'APPL' -fc 'te32'
		
TE32KDemo  TE32KDemo.make {OBJECTS}
	Link -o {Targ} -t APPL -c te32 
		{OBJECTS} 
		"{CLibraries}"StdClib.o 
		"{Libraries}"Runtime.o 
		"{Libraries}"Interface.o 

'main.c.o'  'main.c'
	 C 'main.c' {CFLAGS}
'myabout.c.o'  'myabout.c'
	 C 'myabout.c' {CFLAGS}
'TE32K.c.o'  'TE32K.c'
	 C 'TE32K.c' {CFLAGS}
'windows.c.o'  'windows.c'
	 C 'windows.c' {CFLAGS}
	 
'main.c.o.ppc'  'main.c'
	 PPCC 'main.c' {PPCCFLAGS} 'main.c.o.ppc'
'myabout.c.o.ppc'  'myabout.c'
	 PPCC 'myabout.c' {PPCCFLAGS} 'myabout.c.o.ppc'
'TE32K.c.o.ppc'  'TE32K.c'
	 PPCC 'TE32K.c' {PPCCFLAGS} 'TE32K.c.o.ppc'
'windows.c.o.ppc'  'windows.c'
	 PPCC 'windows.c' {PPCCFLAGS} 'windows.c.o.ppc'